Subject: Re: bug#15135: 24.3; Weird behavior with dead chars

From: Samuel El-Borai <[email-masked]>
Date: Sat, 24 Aug 2013 18:52:51 +0200

Thanks to reply.

Disabling ibus did the trick.
Before that I tried to change the $LANG variable like the emacs wiki
recommend[0] but without success.

Just in case, I also tried to run `emacs -nw' and it works correctly even
if I enable the ibus support in sakura[1].

I will for the moment remove ibus from my system as I don't need it.

[0] "Another solution is to change the language locale suffix to large
letters, e.g., from LANG=nb_NO.utf8 to LANG=nb_NO.UTF-8."
http://www.emacswiki.org/emacs/DeadKeys
[1] http://www.pleyades.net/david/projects/sakura

2013/8/20 Stefan Monnier <[email-masked]>

> > I encounter an odd behavior using emacs under Linux. When I type a dead
> > key like ~ (dead-tilde) or ` (dead-grave) I get the error "<dead-tilde
> > is undefined>" (where dead-tilde is the name of the dead chars).
>
> We've had various reports of such problems, in the past.
> Yours sounds like it's related to http://debbugs.gnu.org/14044 can you
> look at this thread and see if it might help you track down the source
> of the problem?
>
> >   value of $LANG: fr_CH.utf8
> >   value of $XMODIFIERS: @im=ibus
>
> It sounds like a bad interaction with ibus.
> Does someone know what might be going on with ibus?
>
>
>         Stefan
>